> For the complete documentation index, see [llms.txt](https://developer.vario-software.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.vario-software.de/api-reference/bank.md).

# Bank

Manage banks and accounts in VARIO Cloud, including connections, authentication, account sync, transaction downloads, and CRUD operations via REST API.

Banks and accounts

## GET /erp/bank/{id}

> Find an existing Resource by identifier

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Bank","description":"Banks and accounts"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/bank/{id}":{"get":{"tags":["Bank"],"summary":"Find an existing Resource by identifier","operationId":"getById_67","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-bank-Bank"}}}},"404":{"description":"Resource with given ID was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"erp-bank-Bank":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"description"},"bankingBackend":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"bankName":{"type":"string","description":"bank name"},"bic":{"type":"string","description":"BIC"},"blz":{"type":"string","description":"BLZ"},"externalId":{"type":"string","description":"External BankID"},"creditorId":{"type":"string","description":"Creditor identifier."},"userActionRequired":{"type":"boolean","description":"Wether a call to bank init is needed.","readOnly":true},"accounts":{"type":"array","description":"accounts","items":{"$ref":"#/components/schemas/erp-bank-BankAccount"}},"providerId":{"type":"integer","format":"int64","description":"ID of the banking provider"},"userForSyncRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"active":{"type":"boolean","default":true,"description":"Is the bank active?","readOnly":true},"logoUrl":{"type":"string","description":"Bank logo URL."}},"required":["label"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"erp-bank-BankAccount":{"description":"accounts","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"bankId":{"type":"integer","format":"int64","description":"id of the bank"},"label":{"type":"string","description":"description"},"iban":{"type":"string","description":"IBAN"},"accountNumber":{"type":"string","description":"account number"},"subAccountNumber":{"type":"string","description":"sub account number"},"holderName":{"type":"string","description":"account holder"},"currency":{"type":"string","description":"currency"},"accountCredit":{"type":"number","description":"Current account amount."},"sortOrder":{"type":"integer","format":"int32","description":"Account position."},"defaultBankAccount":{"type":"boolean","default":false,"description":"Default account."},"active":{"type":"boolean","description":"Is this active?"},"externalReferenceId":{"type":"string","description":"Reference identifier from an external system.","readOnly":true},"balance":{"type":"number","description":"Account balance."}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Search dialogs to use.","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Search dialogs to use.","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Key for the search dialog result.","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}}}}}
```

## PUT /erp/bank/{id}

> Update existing Resource&#x20;

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Bank","description":"Banks and accounts"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/bank/{id}":{"put":{"tags":["Bank"],"summary":"Update existing Resource ","operationId":"update_69","parameters":[{"name":"id","in":"path","description":"Bank identifier.","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-bank-Bank"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-bank-Bank"}}}},"404":{"description":"Resource was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}},"422":{"description":"Resource was not valid to process","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"erp-bank-Bank":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"description"},"bankingBackend":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"bankName":{"type":"string","description":"bank name"},"bic":{"type":"string","description":"BIC"},"blz":{"type":"string","description":"BLZ"},"externalId":{"type":"string","description":"External BankID"},"creditorId":{"type":"string","description":"Creditor identifier."},"userActionRequired":{"type":"boolean","description":"Wether a call to bank init is needed.","readOnly":true},"accounts":{"type":"array","description":"accounts","items":{"$ref":"#/components/schemas/erp-bank-BankAccount"}},"providerId":{"type":"integer","format":"int64","description":"ID of the banking provider"},"userForSyncRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"active":{"type":"boolean","default":true,"description":"Is the bank active?","readOnly":true},"logoUrl":{"type":"string","description":"Bank logo URL."}},"required":["label"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"erp-bank-BankAccount":{"description":"accounts","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"bankId":{"type":"integer","format":"int64","description":"id of the bank"},"label":{"type":"string","description":"description"},"iban":{"type":"string","description":"IBAN"},"accountNumber":{"type":"string","description":"account number"},"subAccountNumber":{"type":"string","description":"sub account number"},"holderName":{"type":"string","description":"account holder"},"currency":{"type":"string","description":"currency"},"accountCredit":{"type":"number","description":"Current account amount."},"sortOrder":{"type":"integer","format":"int32","description":"Account position."},"defaultBankAccount":{"type":"boolean","default":false,"description":"Default account."},"active":{"type":"boolean","description":"Is this active?"},"externalReferenceId":{"type":"string","description":"Reference identifier from an external system.","readOnly":true},"balance":{"type":"number","description":"Account balance."}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Search dialogs to use.","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Search dialogs to use.","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Key for the search dialog result.","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}}}}}
```

## DELETE /erp/bank/{id}

> Delete an existing Resource

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Bank","description":"Banks and accounts"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/bank/{id}":{"delete":{"tags":["Bank"],"summary":"Delete an existing Resource","operationId":"delete_66","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}},"404":{"description":"Resource was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}},"409":{"description":"unable to delete Resource, due to constraints, existing references or internal state","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Search dialogs to use.","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Search dialogs to use.","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Key for the search dialog result.","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}}}}}
```

## PUT /erp/bank/{id}/deactivate

> Deactivate an existing resource

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Bank","description":"Banks and accounts"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/bank/{id}/deactivate":{"put":{"tags":["Bank"],"summary":"Deactivate an existing resource","operationId":"deactivate_32","parameters":[{"name":"id","in":"path","description":"identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-bank-Bank"}}}},"404":{"description":"Resource was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}},"422":{"description":"Resource was not valid to process","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"erp-bank-Bank":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"description"},"bankingBackend":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"bankName":{"type":"string","description":"bank name"},"bic":{"type":"string","description":"BIC"},"blz":{"type":"string","description":"BLZ"},"externalId":{"type":"string","description":"External BankID"},"creditorId":{"type":"string","description":"Creditor identifier."},"userActionRequired":{"type":"boolean","description":"Wether a call to bank init is needed.","readOnly":true},"accounts":{"type":"array","description":"accounts","items":{"$ref":"#/components/schemas/erp-bank-BankAccount"}},"providerId":{"type":"integer","format":"int64","description":"ID of the banking provider"},"userForSyncRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"active":{"type":"boolean","default":true,"description":"Is the bank active?","readOnly":true},"logoUrl":{"type":"string","description":"Bank logo URL."}},"required":["label"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"erp-bank-BankAccount":{"description":"accounts","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"bankId":{"type":"integer","format":"int64","description":"id of the bank"},"label":{"type":"string","description":"description"},"iban":{"type":"string","description":"IBAN"},"accountNumber":{"type":"string","description":"account number"},"subAccountNumber":{"type":"string","description":"sub account number"},"holderName":{"type":"string","description":"account holder"},"currency":{"type":"string","description":"currency"},"accountCredit":{"type":"number","description":"Current account amount."},"sortOrder":{"type":"integer","format":"int32","description":"Account position."},"defaultBankAccount":{"type":"boolean","default":false,"description":"Default account."},"active":{"type":"boolean","description":"Is this active?"},"externalReferenceId":{"type":"string","description":"Reference identifier from an external system.","readOnly":true},"balance":{"type":"number","description":"Account balance."}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Search dialogs to use.","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Search dialogs to use.","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Key for the search dialog result.","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}}}}}
```

## PUT /erp/bank/{id}/activate

> Activate an existing resource

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Bank","description":"Banks and accounts"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/bank/{id}/activate":{"put":{"tags":["Bank"],"summary":"Activate an existing resource","operationId":"activate_32","parameters":[{"name":"id","in":"path","description":"identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-bank-Bank"}}}},"404":{"description":"Resource was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}},"422":{"description":"Resource was not valid to process","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"erp-bank-Bank":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"description"},"bankingBackend":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"bankName":{"type":"string","description":"bank name"},"bic":{"type":"string","description":"BIC"},"blz":{"type":"string","description":"BLZ"},"externalId":{"type":"string","description":"External BankID"},"creditorId":{"type":"string","description":"Creditor identifier."},"userActionRequired":{"type":"boolean","description":"Wether a call to bank init is needed.","readOnly":true},"accounts":{"type":"array","description":"accounts","items":{"$ref":"#/components/schemas/erp-bank-BankAccount"}},"providerId":{"type":"integer","format":"int64","description":"ID of the banking provider"},"userForSyncRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"active":{"type":"boolean","default":true,"description":"Is the bank active?","readOnly":true},"logoUrl":{"type":"string","description":"Bank logo URL."}},"required":["label"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"erp-bank-BankAccount":{"description":"accounts","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"bankId":{"type":"integer","format":"int64","description":"id of the bank"},"label":{"type":"string","description":"description"},"iban":{"type":"string","description":"IBAN"},"accountNumber":{"type":"string","description":"account number"},"subAccountNumber":{"type":"string","description":"sub account number"},"holderName":{"type":"string","description":"account holder"},"currency":{"type":"string","description":"currency"},"accountCredit":{"type":"number","description":"Current account amount."},"sortOrder":{"type":"integer","format":"int32","description":"Account position."},"defaultBankAccount":{"type":"boolean","default":false,"description":"Default account."},"active":{"type":"boolean","description":"Is this active?"},"externalReferenceId":{"type":"string","description":"Reference identifier from an external system.","readOnly":true},"balance":{"type":"number","description":"Account balance."}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Search dialogs to use.","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Search dialogs to use.","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Key for the search dialog result.","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}}}}}
```

## POST /erp/bank

> Create new Resource

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Bank","description":"Banks and accounts"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/bank":{"post":{"tags":["Bank"],"summary":"Create new Resource","operationId":"create_65","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-bank-Bank"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-bank-Bank"}}}},"422":{"description":"Resource was not valid to process","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"erp-bank-Bank":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"description"},"bankingBackend":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"bankName":{"type":"string","description":"bank name"},"bic":{"type":"string","description":"BIC"},"blz":{"type":"string","description":"BLZ"},"externalId":{"type":"string","description":"External BankID"},"creditorId":{"type":"string","description":"Creditor identifier."},"userActionRequired":{"type":"boolean","description":"Wether a call to bank init is needed.","readOnly":true},"accounts":{"type":"array","description":"accounts","items":{"$ref":"#/components/schemas/erp-bank-BankAccount"}},"providerId":{"type":"integer","format":"int64","description":"ID of the banking provider"},"userForSyncRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"active":{"type":"boolean","default":true,"description":"Is the bank active?","readOnly":true},"logoUrl":{"type":"string","description":"Bank logo URL."}},"required":["label"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"erp-bank-BankAccount":{"description":"accounts","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"bankId":{"type":"integer","format":"int64","description":"id of the bank"},"label":{"type":"string","description":"description"},"iban":{"type":"string","description":"IBAN"},"accountNumber":{"type":"string","description":"account number"},"subAccountNumber":{"type":"string","description":"sub account number"},"holderName":{"type":"string","description":"account holder"},"currency":{"type":"string","description":"currency"},"accountCredit":{"type":"number","description":"Current account amount."},"sortOrder":{"type":"integer","format":"int32","description":"Account position."},"defaultBankAccount":{"type":"boolean","default":false,"description":"Default account."},"active":{"type":"boolean","description":"Is this active?"},"externalReferenceId":{"type":"string","description":"Reference identifier from an external system.","readOnly":true},"balance":{"type":"number","description":"Account balance."}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Search dialogs to use.","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Search dialogs to use.","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Key for the search dialog result.","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}}}}}
```

## POST /erp/bank/{id}/new\_connection

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Bank","description":"Banks and accounts"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/bank/{id}/new_connection":{"post":{"tags":["Bank"],"operationId":"makeNewConnection","parameters":[{"name":"id","in":"path","description":"Bank identifier.","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}}}}}
```

## POST /erp/bank/{id}/authentication\_status

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Bank","description":"Banks and accounts"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/bank/{id}/authentication_status":{"post":{"tags":["Bank"],"operationId":"getAuthStatus","parameters":[{"name":"id","in":"path","description":"Bank identifier.","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"boolean"}}}}}}}}}
```

## GET /erp/bank/{id}/accounts

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Bank","description":"Banks and accounts"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/bank/{id}/accounts":{"get":{"tags":["Bank"],"operationId":"getBankAccounts","parameters":[{"name":"id","in":"path","description":"Bank identifier.","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/erp-bank-BankAccount"}}}}}}}}},"components":{"schemas":{"erp-bank-BankAccount":{"description":"accounts","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"bankId":{"type":"integer","format":"int64","description":"id of the bank"},"label":{"type":"string","description":"description"},"iban":{"type":"string","description":"IBAN"},"accountNumber":{"type":"string","description":"account number"},"subAccountNumber":{"type":"string","description":"sub account number"},"holderName":{"type":"string","description":"account holder"},"currency":{"type":"string","description":"currency"},"accountCredit":{"type":"number","description":"Current account amount."},"sortOrder":{"type":"integer","format":"int32","description":"Account position."},"defaultBankAccount":{"type":"boolean","default":false,"description":"Default account."},"active":{"type":"boolean","description":"Is this active?"},"externalReferenceId":{"type":"string","description":"Reference identifier from an external system.","readOnly":true},"balance":{"type":"number","description":"Account balance."}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}}}}}
```

## POST /erp/bank/{id}/accounts

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Bank","description":"Banks and accounts"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/bank/{id}/accounts":{"post":{"tags":["Bank"],"operationId":"createBankAccount","parameters":[{"name":"id","in":"path","description":"Bank identifier.","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-bank-BankAccount"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-bank-BankAccount"}}}}}}}},"components":{"schemas":{"erp-bank-BankAccount":{"description":"accounts","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"bankId":{"type":"integer","format":"int64","description":"id of the bank"},"label":{"type":"string","description":"description"},"iban":{"type":"string","description":"IBAN"},"accountNumber":{"type":"string","description":"account number"},"subAccountNumber":{"type":"string","description":"sub account number"},"holderName":{"type":"string","description":"account holder"},"currency":{"type":"string","description":"currency"},"accountCredit":{"type":"number","description":"Current account amount."},"sortOrder":{"type":"integer","format":"int32","description":"Account position."},"defaultBankAccount":{"type":"boolean","default":false,"description":"Default account."},"active":{"type":"boolean","description":"Is this active?"},"externalReferenceId":{"type":"string","description":"Reference identifier from an external system.","readOnly":true},"balance":{"type":"number","description":"Account balance."}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}}}}}
```

## POST /erp/bank/{id}/accounts/sync

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Bank","description":"Banks and accounts"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/bank/{id}/accounts/sync":{"post":{"tags":["Bank"],"operationId":"syncBankAccount","parameters":[{"name":"id","in":"path","description":"Bank identifier.","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"array","description":"Reference identifiers of the accounts to import.","items":{"type":"string"}}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/erp-bank-BankAccount"}}}}}}}}},"components":{"schemas":{"erp-bank-BankAccount":{"description":"accounts","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"bankId":{"type":"integer","format":"int64","description":"id of the bank"},"label":{"type":"string","description":"description"},"iban":{"type":"string","description":"IBAN"},"accountNumber":{"type":"string","description":"account number"},"subAccountNumber":{"type":"string","description":"sub account number"},"holderName":{"type":"string","description":"account holder"},"currency":{"type":"string","description":"currency"},"accountCredit":{"type":"number","description":"Current account amount."},"sortOrder":{"type":"integer","format":"int32","description":"Account position."},"defaultBankAccount":{"type":"boolean","default":false,"description":"Default account."},"active":{"type":"boolean","description":"Is this active?"},"externalReferenceId":{"type":"string","description":"Reference identifier from an external system.","readOnly":true},"balance":{"type":"number","description":"Account balance."}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}}}}}
```

## POST /erp/bank/update\_connection/{bankId}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Bank","description":"Banks and accounts"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/bank/update_connection/{bankId}":{"post":{"tags":["Bank"],"operationId":"updateConnection","parameters":[{"name":"bankId","in":"path","description":"Bank identifier.","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-bank-BankConnectionUpdateRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-bank-ApiTaskInfo"}}}}}}}},"components":{"schemas":{"erp-bank-BankConnectionUpdateRequest":{"properties":{"importNewAccounts":{"type":"boolean","default":false,"description":"Should new bank accounts be imported?"},"manageSavedSettings":{"type":"string","default":"NONE","description":"Should the stored consents be edited?","enum":["CREDENTIALS","DEFAULT_TWO_STEP_PROCEDURE","NONE"]}}},"erp-bank-ApiTaskInfo":{"properties":{"id":{"type":"string","description":"External task identifier."},"createdAt":{"type":"string","format":"date-time","description":"When the task was created."},"status":{"type":"string","description":"What the current task status is.","enum":["NOT_YET_STARTED","IN_PROGRESS","WEB_FORM_REQUIRED","COMPLETED","COMPLETED_WITH_ERROR"]},"payload":{"$ref":"#/components/schemas/erp-bank-ApiPayload"},"webform":{"$ref":"#/components/schemas/erp-bank-ApiWebform"}}},"erp-bank-ApiPayload":{"description":"API payload.","properties":{"bankConnectionId":{"type":"integer","format":"int64","description":"bank connection ID"},"paymentId":{"type":"integer","format":"int64","description":"payment Id"},"standingOrderId":{"type":"integer","format":"int64","description":"standing order Id"}}},"erp-bank-ApiWebform":{"description":"Information about a webform, if one was created.","properties":{"webformId":{"type":"string","description":"web form Id"},"type":{"type":"string","description":"web form Type","enum":["BANK_CONNECTION_IMPORT","BANK_CONNECTION_UPDATE","PAYMENT_WITH_ACCOUNT_ID","STANDALONE_PAYMENT","DIRECT_DEBIT_WITH_ACCOUNT_ID","STANDING_ORDER"]},"status":{"type":"string","description":"web form Status","enum":["NOT_YET_OPENED","IN_PROGRESS","COMPLETED","COMPLETED_WITH_ERROR","EXPIRED","ABORTED","CANCELLED"]},"payload":{"$ref":"#/components/schemas/erp-bank-ApiPayload"},"expiresAt":{"type":"string","format":"date-time","description":"time expires at"},"createdAt":{"type":"string","format":"date-time","description":"time created At"},"url":{"type":"string","description":"web form Url"}}}}}}
```

## POST /erp/bank/sync/{backendType}/{providerId}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Bank","description":"Banks and accounts"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/bank/sync/{backendType}/{providerId}":{"post":{"tags":["Bank"],"operationId":"syncBank","parameters":[{"name":"backendType","in":"path","description":"Banking interface.","required":true,"schema":{"type":"string","enum":["OFFLINE","FINAPI","FINAPI_SANDBOX","MOCKBANK","APP"]}},{"name":"providerId","in":"path","description":"Banking provider identifier.","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/erp-bank-Bank"}}}}}}}}},"components":{"schemas":{"erp-bank-Bank":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"description"},"bankingBackend":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"bankName":{"type":"string","description":"bank name"},"bic":{"type":"string","description":"BIC"},"blz":{"type":"string","description":"BLZ"},"externalId":{"type":"string","description":"External BankID"},"creditorId":{"type":"string","description":"Creditor identifier."},"userActionRequired":{"type":"boolean","description":"Wether a call to bank init is needed.","readOnly":true},"accounts":{"type":"array","description":"accounts","items":{"$ref":"#/components/schemas/erp-bank-BankAccount"}},"providerId":{"type":"integer","format":"int64","description":"ID of the banking provider"},"userForSyncRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"active":{"type":"boolean","default":true,"description":"Is the bank active?","readOnly":true},"logoUrl":{"type":"string","description":"Bank logo URL."}},"required":["label"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"erp-bank-BankAccount":{"description":"accounts","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"bankId":{"type":"integer","format":"int64","description":"id of the bank"},"label":{"type":"string","description":"description"},"iban":{"type":"string","description":"IBAN"},"accountNumber":{"type":"string","description":"account number"},"subAccountNumber":{"type":"string","description":"sub account number"},"holderName":{"type":"string","description":"account holder"},"currency":{"type":"string","description":"currency"},"accountCredit":{"type":"number","description":"Current account amount."},"sortOrder":{"type":"integer","format":"int32","description":"Account position."},"defaultBankAccount":{"type":"boolean","default":false,"description":"Default account."},"active":{"type":"boolean","description":"Is this active?"},"externalReferenceId":{"type":"string","description":"Reference identifier from an external system.","readOnly":true},"balance":{"type":"number","description":"Account balance."}}}}}}
```

## POST /erp/bank/start\_transaction\_download/{bankId}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Bank","description":"Banks and accounts"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/bank/start_transaction_download/{bankId}":{"post":{"tags":["Bank"],"operationId":"startExternalDownload","parameters":[{"name":"bankId","in":"path","description":"Bank identifier.","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-bank-ApiTaskInfo"}}}}}}}},"components":{"schemas":{"erp-bank-ApiTaskInfo":{"properties":{"id":{"type":"string","description":"External task identifier."},"createdAt":{"type":"string","format":"date-time","description":"When the task was created."},"status":{"type":"string","description":"What the current task status is.","enum":["NOT_YET_STARTED","IN_PROGRESS","WEB_FORM_REQUIRED","COMPLETED","COMPLETED_WITH_ERROR"]},"payload":{"$ref":"#/components/schemas/erp-bank-ApiPayload"},"webform":{"$ref":"#/components/schemas/erp-bank-ApiWebform"}}},"erp-bank-ApiPayload":{"description":"API payload.","properties":{"bankConnectionId":{"type":"integer","format":"int64","description":"bank connection ID"},"paymentId":{"type":"integer","format":"int64","description":"payment Id"},"standingOrderId":{"type":"integer","format":"int64","description":"standing order Id"}}},"erp-bank-ApiWebform":{"description":"Information about a webform, if one was created.","properties":{"webformId":{"type":"string","description":"web form Id"},"type":{"type":"string","description":"web form Type","enum":["BANK_CONNECTION_IMPORT","BANK_CONNECTION_UPDATE","PAYMENT_WITH_ACCOUNT_ID","STANDALONE_PAYMENT","DIRECT_DEBIT_WITH_ACCOUNT_ID","STANDING_ORDER"]},"status":{"type":"string","description":"web form Status","enum":["NOT_YET_OPENED","IN_PROGRESS","COMPLETED","COMPLETED_WITH_ERROR","EXPIRED","ABORTED","CANCELLED"]},"payload":{"$ref":"#/components/schemas/erp-bank-ApiPayload"},"expiresAt":{"type":"string","format":"date-time","description":"time expires at"},"createdAt":{"type":"string","format":"date-time","description":"time created At"},"url":{"type":"string","description":"web form Url"}}}}}}
```

## GET /erp/bank/{id}/actions

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Bank","description":"Banks and accounts"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/bank/{id}/actions":{"get":{"tags":["Bank"],"operationId":"getBankActions","parameters":[{"name":"id","in":"path","description":"Bank identifier.","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/erp-bank-BankAction"}}}}}}}}},"components":{"schemas":{"erp-bank-BankAction":{"properties":{"description":{"type":"string","description":"Description of the action"},"type":{"type":"string","description":"action type","enum":["OPEN_URL"]},"expiration":{"type":"string","format":"date-time","description":"Expiration of the action"},"payload":{"type":"object","additionalProperties":{"type":"string","description":"Payload of actions to take (i.e. URL for type=OPEN_URL"},"description":"Payload of actions to take (i.e. URL for type=OPEN_URL"}}}}}}
```

## GET /erp/bank/search/{backendType}/{searchTerm}/{providerId}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Bank","description":"Banks and accounts"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/bank/search/{backendType}/{searchTerm}/{providerId}":{"get":{"tags":["Bank"],"operationId":"searchExternalBankAccounts","parameters":[{"name":"backendType","in":"path","description":"Banking interface.","required":true,"schema":{"type":"string","enum":["OFFLINE","FINAPI","FINAPI_SANDBOX","MOCKBANK","APP"]}},{"name":"searchTerm","in":"path","description":"Search term.","required":true,"schema":{"type":"string"}},{"name":"providerId","in":"path","description":"Banking provider identifier.","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/erp-bank-BankRef"}}}}}}}}},"components":{"schemas":{"erp-bank-BankRef":{"properties":{"referenceId":{"type":"string","description":"reference id"},"label":{"type":"string","description":"description"},"bankName":{"type":"string","description":"bank name"},"bic":{"type":"string","description":"BIC"},"blz":{"type":"string","description":"BLZ"},"logoUrl":{"type":"string","description":"Bank logo URL."}}}}}}
```

## GET /erp/bank/get\_webform\_by\_id/{bankId}/{webformId}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Bank","description":"Banks and accounts"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/bank/get_webform_by_id/{bankId}/{webformId}":{"get":{"tags":["Bank"],"operationId":"getWebformById","parameters":[{"name":"bankId","in":"path","description":"Bank identifier.","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"webformId","in":"path","description":"webformIdentifier","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-bank-ApiWebform"}}}}}}}},"components":{"schemas":{"erp-bank-ApiWebform":{"description":"Information about a webform, if one was created.","properties":{"webformId":{"type":"string","description":"web form Id"},"type":{"type":"string","description":"web form Type","enum":["BANK_CONNECTION_IMPORT","BANK_CONNECTION_UPDATE","PAYMENT_WITH_ACCOUNT_ID","STANDALONE_PAYMENT","DIRECT_DEBIT_WITH_ACCOUNT_ID","STANDING_ORDER"]},"status":{"type":"string","description":"web form Status","enum":["NOT_YET_OPENED","IN_PROGRESS","COMPLETED","COMPLETED_WITH_ERROR","EXPIRED","ABORTED","CANCELLED"]},"payload":{"$ref":"#/components/schemas/erp-bank-ApiPayload"},"expiresAt":{"type":"string","format":"date-time","description":"time expires at"},"createdAt":{"type":"string","format":"date-time","description":"time created At"},"url":{"type":"string","description":"web form Url"}}},"erp-bank-ApiPayload":{"description":"API payload.","properties":{"bankConnectionId":{"type":"integer","format":"int64","description":"bank connection ID"},"paymentId":{"type":"integer","format":"int64","description":"payment Id"},"standingOrderId":{"type":"integer","format":"int64","description":"standing order Id"}}}}}}
```

## GET /erp/bank/get\_external\_task/{bankId}/{taskId}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Bank","description":"Banks and accounts"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/bank/get_external_task/{bankId}/{taskId}":{"get":{"tags":["Bank"],"operationId":"getTaskInfo","parameters":[{"name":"bankId","in":"path","description":"Bank identifier.","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"taskId","in":"path","description":"taskIdentifier","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-bank-ApiTaskInfo"}}}}}}}},"components":{"schemas":{"erp-bank-ApiTaskInfo":{"properties":{"id":{"type":"string","description":"External task identifier."},"createdAt":{"type":"string","format":"date-time","description":"When the task was created."},"status":{"type":"string","description":"What the current task status is.","enum":["NOT_YET_STARTED","IN_PROGRESS","WEB_FORM_REQUIRED","COMPLETED","COMPLETED_WITH_ERROR"]},"payload":{"$ref":"#/components/schemas/erp-bank-ApiPayload"},"webform":{"$ref":"#/components/schemas/erp-bank-ApiWebform"}}},"erp-bank-ApiPayload":{"description":"API payload.","properties":{"bankConnectionId":{"type":"integer","format":"int64","description":"bank connection ID"},"paymentId":{"type":"integer","format":"int64","description":"payment Id"},"standingOrderId":{"type":"integer","format":"int64","description":"standing order Id"}}},"erp-bank-ApiWebform":{"description":"Information about a webform, if one was created.","properties":{"webformId":{"type":"string","description":"web form Id"},"type":{"type":"string","description":"web form Type","enum":["BANK_CONNECTION_IMPORT","BANK_CONNECTION_UPDATE","PAYMENT_WITH_ACCOUNT_ID","STANDALONE_PAYMENT","DIRECT_DEBIT_WITH_ACCOUNT_ID","STANDING_ORDER"]},"status":{"type":"string","description":"web form Status","enum":["NOT_YET_OPENED","IN_PROGRESS","COMPLETED","COMPLETED_WITH_ERROR","EXPIRED","ABORTED","CANCELLED"]},"payload":{"$ref":"#/components/schemas/erp-bank-ApiPayload"},"expiresAt":{"type":"string","format":"date-time","description":"time expires at"},"createdAt":{"type":"string","format":"date-time","description":"time created At"},"url":{"type":"string","description":"web form Url"}}}}}}
```

## Liefert den Verbindungszustand der Bank aus der Bankschnittstelle

> Ist die gespeicherte Bankverbindung der Schnittstelle unbekannt, wird sie auf eine noch vorhandene Verbindung desselben Instituts umgestellt. Gibt es keine, wird die veraltete Zuordnung entfernt und der Zustand gemeldet — die Bank muss dann neu autorisiert werden.

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Bank","description":"Banks and accounts"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/bank/get_external_state/{bankId}":{"get":{"tags":["Bank"],"summary":"Liefert den Verbindungszustand der Bank aus der Bankschnittstelle","description":"Ist die gespeicherte Bankverbindung der Schnittstelle unbekannt, wird sie auf eine noch vorhandene Verbindung desselben Instituts umgestellt. Gibt es keine, wird die veraltete Zuordnung entfernt und der Zustand gemeldet — die Bank muss dann neu autorisiert werden.","operationId":"getExternalState","parameters":[{"name":"bankId","in":"path","description":"Bank identifier.","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-bank-BankConnectionDto"}}}},"422":{"description":"Bankverbindung ist der Schnittstelle nicht bekannt oder nicht mit dem angemeldeten Benutzer verknüpft","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"erp-bank-BankConnectionDto":{"properties":{"referenceId":{"type":"string"},"bankReferenceId":{"type":"string"},"label":{"type":"string"},"bankName":{"type":"string"},"bic":{"type":"string"},"blz":{"type":"string"},"lastManualUpdate":{"type":"string","format":"date-time"},"lastManualUpdateMessage":{"type":"string"},"lastManualUpdateState":{"type":"string","enum":["OK","BANK_SERVER_REJECTION","INTERNAL_SERVER_ERROR","NONE"]},"lastAutoUpdate":{"type":"string","format":"date-time"},"lastAutoUpdateMessage":{"type":"string"},"lastAutoUpdateState":{"type":"string","enum":["OK","BANK_SERVER_REJECTION","INTERNAL_SERVER_ERROR","NONE"]},"consentExpiresAt":{"type":"string","format":"date-time"}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Search dialogs to use.","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Search dialogs to use.","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Key for the search dialog result.","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}}}}}
```

## DELETE /erp/bank/{id}/delete\_connection

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Bank","description":"Banks and accounts"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/bank/{id}/delete_connection":{"delete":{"tags":["Bank"],"operationId":"deleteConnection","parameters":[{"name":"id","in":"path","description":"Unique identifier.","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}}}}
```

## DELETE /erp/bank/reset\_for\_provider\_type/{backendType}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Bank","description":"Banks and accounts"}],"servers":[{"url":"api.example.com"}],"paths":{"/erp/bank/reset_for_provider_type/{backendType}":{"delete":{"tags":["Bank"],"operationId":"resetForProvider","parameters":[{"name":"backendType","in":"path","required":true,"schema":{"type":"string","enum":["OFFLINE","FINAPI","FINAPI_SANDBOX","MOCKBANK","APP"]}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.vario-software.de/api-reference/bank.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
